%define major		0
%define apiver		2.0
%define libname		%mklibname %{name} %{apiver} %{major}
%define develname	%mklibname %{name} -d
%define develsname	%mklibname %{name} -d -s

%define sname	SDL2_mixer

Summary:	Simple DirectMedia Layer 2 - mixer
Name:		sdl2_mixer
Version:	2.8.0
Release:	%mkrel 1
License:	zlib
Group:		System/Libraries
URL:		https://www.libsdl.org/projects/SDL_mixer/
Source0:	https://www.libsdl.org/projects/SDL_mixer/release/%{sname}-%{version}.tar.xz

BuildRequires:	dos2unix
BuildRequires:	pkgconfig(libmpg123)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(libmikmod)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(opusfile)
BuildRequires:	pkgconfig(sdl2) >= 2.0.7
BuildRequires:	pkgconfig(vorbisfile)
BuildRequires:	pkgconfig(zlib)

%description
SDL2_mixer is a sample multi-channel audio mixer library. It supports any
number of simultaneously playing channels of 16 bit stereo audio, plus a
single channel of music, mixed by the popular MikMod MOD, Timidity MIDI
and SMPEG MP3 libraries.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}%{apiver}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{develsname}
Summary:	Static library for developing static programs that use %{name}
Group:		Development/Libraries
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	%{sname}-static-devel = %{version}-%{release}

%description -n %{develsname}
This package contains the static library that programmers will need
to develop static applications which are using %{name}.

%package -n %{name}-player
Summary:	Players using %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	SDL_mixer-player

%description -n %{name}-player
This package contains binary to test the associated library.

%prep
%autosetup -p1 -n %{sname}-%{version}

dos2unix CHANGES.txt LICENSE.txt README.txt

%build
%configure2_5x	--enable-music-mod \
		--disable-music-ogg-shared \
		--disable-music-opus-shared \
		--disable-music-flac-shared
%make_build

%install
%make_install install-bin

rm -rf %buildroot/usr/lib64/libSDL2_mixer.la

%files -n %{name}-player
%{_bindir}/playwave
%{_bindir}/playmus

%files -n %{libname}
%{_libdir}/lib*%{apiver}.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/lib*.so
%{_includedir}/SDL2/*
%{_libdir}/pkgconfig/%{sname}.pc
%{_libdir}/cmake/%{sname}/

%files -n %{develsname}
%{_libdir}/*.a


%changelog
* Thu Feb 01 2024 tex - 2.8.0-1pclos2024
- new version: 2.8.0
